using System;
using System.Collections.Generic;

namespace PV178.Homework3
{
    /// <summary>
    /// Tda pedstavujc film.
    /// </summary>
    public class Movie
    {
        /// <summary>
        /// Jedinen identifiktor.
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// Rok uveden filmu.
        /// </summary>
        public short ReleaseYear { get; set; }

        /// <summary>
        /// Prmrn hodnocen.
        /// </summary>
        public float AveregeRating { get; set; }

        /// <summary>
        /// Vrac dlku filmu v sekundch.
        /// </summary>
        public int? Runtime { get; set; }

        /// <summary>
        /// Vrac jmno filmu.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Datum uveden na DVD.
        /// </summary>
        public DateTime? DvdSince { get; set; }

        /// <summary>
        /// Hereck obsazen filmu.
        /// </summary>
        public ICollection<Person> Cast { get; set; }

        /// <summary>
        /// Vrac seznam nr, do kterch je film zaazen.
        /// </summary>
        public ICollection<string> Genres { get; set; }

        /// <summary>
        /// Vytvo novou instanci tdy Movie.
        /// </summary>
        public Movie()
        {
            Cast = new HashSet<Person>();
            Genres = new HashSet<string>();
        }

        // TODO: Vytvote metody Equals a GetHashCode tak, aby dva filmy byly povaovny za stejn <=> maj stejn Id.
    }
}